Bug 428910 - libdvdnav headers missing #include <stdint.h>
libdvdnav headers missing #include <stdint.h>
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libdvdnav (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-15 18:26 EST by Ville Skyttä
Modified: 2008-02-13 00:17 EST (History)
0 users

See Also:
Fixed In Version: 4.1.1-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 23:47:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2008-01-15 18:26:03 EST
libdvdnav-devel-4.1.1-3.fc9

cat <<EOF > test.c
#include <dvdnav.h>
int main() {}
EOF

$ gcc -I/usr/include/dvdnav test.c
In file included from /usr/include/dvdnav/dvdnav.h:39,
                 from test.c:1:
/usr/include/dvdnav/dvd_types.h:54: error: expected specifier-qualifier-list
before 'uint32_t'


Isn't some of libdvdnav's headers, possibly dvd_types.h, missing a "#include
<stdint.h>"?

On F8 (maybe also other distros) this is not the only problem - it later results
in errors like /usr/include/dvdread/ifo_types.h:32:2: error: #error "Must
include <inttypes.h> or <stdint.h> before any libdvdread header."

This results in for example xine-lib's dvdnav detection failing.
Comment 1 Dominik 'Rathann' Mierzejewski 2008-01-27 16:10:40 EST
There is also a bug in F-7/8 libdvdread's headers. I'll backport the fix from
current version.
Comment 2 Dominik 'Rathann' Mierzejewski 2008-01-27 16:19:51 EST
Fixed in rawhide.
Comment 3 Fedora Update System 2008-01-27 16:42:00 EST
libdvdnav-4.1.1-3.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-01-27 16:42:42 EST
libdvdnav-4.1.1-3.fc7 has been submitted as an update for Fedora 7
Comment 5 Fedora Update System 2008-01-27 16:43:32 EST
libdvdread-0.9.7-4.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-01-27 16:44:07 EST
libdvdread-0.9.7-3.fc7 has been submitted as an update for Fedora 7
Comment 7 Fedora Update System 2008-01-29 00:13:25 EST
libdvdnav-4.1.1-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libdvdnav'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-1125
Comment 8 Fedora Update System 2008-02-12 23:47:44 EST
libdvdnav-4.1.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-02-12 23:48:42 EST
libdvdnav-4.1.1-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-02-12 23:53:11 EST
libdvdread-0.9.7-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-02-13 00:17:08 EST
libdvdread-0.9.7-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.